/**************************************
* Zeus CMD - C++ Tutorial 24 : Macros *
* By Grant James (ZEUS)               *
* http://www.zeuscmd.com              *
**************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

// Constants
#define CENTURY 100
#define HELLO "Hello World"

#define DOUBLE_BREAK \
	cout << endl \
		<< endl

#define PRINTMULT(x,y) \
	cout << x * y << endl

#define PRINTMULTFIXED(x,y) \
	cout << (x) * (y) << endl

#define PRINTMULTTEXT(x,y) \
	cout << #x << " * " << \
#y << " = " << x * y << endl

#define PRINTPARAGRAPH(text) \
	cout << endl << #text \
		<< endl << endl

int main()
{
	cout << "Century : "
		<< CENTURY << endl;

	cout << HELLO << endl;

	DOUBLE_BREAK;
	cout << "Paragraph" << endl;
	DOUBLE_BREAK;

	PRINTMULT(5+2, 3+3);

	PRINTMULTFIXED(5+2, 3+3);

	PRINTMULTTEXT(5+2, 3+3);
	int y = 3, z = 4;
	PRINTMULTTEXT(y, z);

	PRINTPARAGRAPH(Hello World);

	system("pause");

	return 0;
}